Table of Contents

Class: Tabview | eric3/ViewManager/Tabview.py
--- | ---

### Class implementing a tabbed viewmanager class embedded in a splitter.

#### Signals

lastEditorClosed
  emitted after the last editor window was closed
editorOpened
  emitted after an editor window was opened
editorSaved
  emitted after an editor window was saved

Base Classes |
--- | ---
QSplitter ViewManager

Methods |
--- | ---

__init__ activeWindow addSplit addView canCascade canSplit canTile cascade eventFilter | handleCurrentChanged handleModificationStatusChanged handleShowWindowMenu initViewActions initWindowActions nextTab prevTab removeAllViews removeSplit | removeView setEditorName setSplitOrientation showView tile

| __init__

    __init__ (
            self,
            parent,
            ui,
            dbs,
            )

### Constructor

#### Arguments

parent
  parent widget (QWidget)
ui
  reference to the main user interface
dbs
  reference to the debug server object

| activeWindow

    activeWindow ( self )

### Private method to return the active (i.e. current) window.

#### Returns

reference to the active editor

| addSplit

    addSplit ( self )

Public method used to split the current view.

| addView

    addView (
            self,
            win,
            fn=None,
            )

### Private method to add a view (i.e. window)

#### Arguments

win
  editor window to be added
fn
  filename of this editor

| canCascade

    canCascade ( self )

### Public method to signal if cascading of managed windows is available.

#### Returns

flag indicating cascading of windows is available

| canSplit

    canSplit ( self )

### public method to signal if splitting of the view is available.

#### Returns

flag indicating splitting of the view is available.

| canTile

    canTile ( self )

### Public method to signal if tiling of managed windows is available.

#### Returns

flag indicating tiling of windows is available

| cascade

    cascade ( self )

Public method to cascade the managed windows.

| eventFilter

    eventFilter (
            self,
            watched,
            event,
            )

| handleCurrentChanged

    handleCurrentChanged ( self,  editor )

### Private slot to handle the currentChanged signal.

#### Arguments

editor
  selected editor window

| handleModificationStatusChanged

    handleModificationStatusChanged (
            self,
            m,
            editor,
            )

### Private slot to handle the modificationStatusChanged signal.

#### Arguments

m
  flag indicating the modification status (boolean)
editor
  editor window changed

| handleShowWindowMenu

    handleShowWindowMenu ( self,  windowMenu )

### Private method to set up the viewmanager part of the Window menu.

#### Arguments

windowMenu
  reference to the window menu

| initViewActions

    initViewActions ( self )

Protected method defining the user interface actions for the view commands.

| initWindowActions

    initWindowActions ( self )

Define the user interface actions for window handling.

| nextTab

    nextTab ( self )

Private slot used to show the next tab of the current tabwidget.

| prevTab

    prevTab ( self )

Private slot used to show the previous tab of the current tabwidget.

| removeAllViews

    removeAllViews ( self )

Private method to remove all views (i.e. windows)

| removeSplit

    removeSplit ( self )

Public method used to remove the current split view.

| removeView

    removeView ( self,  win )

### Private method to remove a view (i.e. window)

#### Arguments

win
  editor window to be removed

| setEditorName

    setEditorName (
            self,
            editor,
            newName,
            )

### Change the displayed name of the editor.

#### Arguments

editor
  editor window to be changed
newName
  new name to be shown (string or QString)

| setSplitOrientation

    setSplitOrientation ( self,  orientation )

### Public method used to set the orientation of the split view.

#### Arguments

orientation
  orientation of the split (QSplitter.Horizontal or QSplitter.Vertical)

| showView

    showView (
            self,
            win,
            fn=None,
            )

### Private method to show a view (i.e. window)

#### Arguments

win
  editor window to be shown
fn
  filename of this editor

| tile

    tile ( self )

Public method to tile the managed windows.

Table of Contents

This document was automatically generated by HappyDoc version 2.1